## org.apache.batik.svggen.font.table
Class CmapFormat2

    java.lang.Object
      org.apache.batik.svggen.font.table.CmapFormat
          org.apache.batik.svggen.font.table.CmapFormat2

public class CmapFormat2
extends CmapFormat

Field Summary

Fields inherited from class org.apache.batik.svggen.font.table.CmapFormat
`format, length, version`

Constructor Summary
`protected` `CmapFormat2(java.io.RandomAccessFile raf)`

Method Summary
`int` `mapCharCode(int charCode)`

Methods inherited from class org.apache.batik.svggen.font.table.CmapFormat
`create, getFormat, getLength, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CmapFormat2

    protected CmapFormat2(java.io.RandomAccessFile raf)
                   throws java.io.IOException

Method Detail

### mapCharCode

    public int mapCharCode(int charCode)

  Specified by:
    `mapCharCode` in class `CmapFormat`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.